import { Registry } from "prom-client";
import { TotalPluginImports } from "./response.type";
export interface IPrometheusExporterOptions {
    pollingIntervalInMin?: number;
}
export declare class PrometheusExporter {
    readonly prometheusExporterOptions: IPrometheusExporterOptions;
    readonly metricsPollingIntervalInMin: number;
    readonly totalPluginImports: TotalPluginImports;
    readonly registry: Registry;
    constructor(prometheusExporterOptions: IPrometheusExporterOptions);
    setTotalPluginImports(totalPluginImports: number): void;
    getPrometheusMetrics(): Promise<string>;
    startMetricsCollection(): void;
}
